<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CST-120 Syllabus</title>
</head>

<font face = Times-New-Roman" color = "black" size = "5" </font>


<header>
    <h1>Activity Guide</h1>
    <p>Refer to this resource when completing the course activities.</p>
</header>

<body>
    

    
    <div id="topic1">
        <h3>Weeks 1-2</h3>
        <h2>Topic 1 HTML</h2>
        <p>In this topic, students are introduced to the HTML markup language where they learn basic structure, basic elements of an HTML document, and how to work with text and basic controls. The students finish this topic by learning the developer tools available to them, as well as how web servers work to help support development of HTML-based applications.</p>
        <ol>

            <li>Develop webpages with basic elements and structure that include, but are not limited to, document, head, and body tags.</li>
            <li>Develop webpages with text that includes, but is not limited to, headings, paragraphs, formatting, fonts, and color tags.</li>
            <li>Develop webpages with components that include, but are not limited to, links, images, and lists tags.</li>
            <li>Investigate how a web server functions. Identify differences between localhost, file URL and domain names in the URL.</li>
            <li>Investigate the developer's tools available as a webpage developer.</li>
        
            <h3>Readings</h3>
            <p>W3Schools: Go to https://www.w3schools.com. Select the Learn HTML menu under the HTML and CSS section. Complete all reading and tutorials under the HTML Home Tutorial section.</p>
        
        </ol>
        <hr />
    </div>

    <div id="topic1">
        <h3>Weeks 3-4</h3>
        <h2>Topic 2 Advanced HTML</h2>
        <p></p>
        <ol>

        <li>Develop webpages with layouts that include, but are not limited to, blocks/div/span, tables, and layouts tags.</li>
        <li>Develop webpages with Graphics that include, but are not limited to, image, canvas, and SVG tags.</li>
        <li>Develop webpages with media that include, but are not limited to, video and audio tags.</li>
        <li>Explain how and why ADA compliance is achieved with ADA guidelines.</li>
        

        </ol>
        <h3>Readings</h3>
        <p> W3Schools: Go to https://www.w3schools.com. Select the Learn HTML menu under the HTML and CSS section. Complete all reading and tutorials under the HTML Forms, HTML Graphics, HTML Media, and HTML API's Tutorial sections.</p>


        <hr />
    </div>

    <div id="topic1">
        <h3>Weeks 5-6</h3>
        <h2>Topic 3 CSS</h2>
        <p></p>
        <ol>

        <li>Develop webpages with CSS basics styles that include, but are not limited to, inline, internal, external, and selectors styles.</li>
        <li>Develop webpages with text that include, but are not limited to, built-in fonts, custom fonts from external sources, color, and alignment styles.</li>
        <li>Develop webpages with formatting and layouts that include, but are not limited to, backgrounds, borders, margins, padding, width/height, and the box model styles</li>
        <li>Develop webpages that include, but are not limited to, transitions and animations styles.</li>

        

        </ol>
        <h3>Readings</h3>

        <p>W3Schools: Go to https://www.w3schools.com. Select the Learn CSS menu under the HTML and CSS section. Complete all reading and tutorials under the CSS Tutorial and CSS Advanced Tutorial sections.</p>
        <hr />
    </div>



</body>

<a href="tando.html">Course Assignment Matrix</a>

<a href="media.html">Media</a>
</html>
















